RadRails Broke with 1.8.4 / 1.1


#1

I’ve been using the radrails eclipse plugin with ruby 1.0 & Rails 1.8.2
up until this morning… I just installed Ruby 1.8.4 (one-click
installer rc1) and Rails 1.1. Now the rails eclipse plugin does not
seem to be aware of how to run ruby and has lost the ability to start
the webrick server. I’m sure it’s a simple configuration issue but the
radrails documentation is non-existent.

Any help would be much appreciated.
joe


#2

Joe P. wrote:

I’ve been using the radrails eclipse plugin with ruby 1.0 & Rails 1.8.2
up until this morning… I just installed Ruby 1.8.4 (one-click
installer rc1) and Rails 1.1. Now the rails eclipse plugin does not
seem to be aware of how to run ruby and has lost the ability to start
the webrick server. I’m sure it’s a simple configuration issue but the
radrails documentation is non-existent.

You may have done this already but just in case, make sure RadRails is
using the right (1.8.4) Ruby interpeter.

Windows->Preferences->Ruby/Installed Interpeter

I use rubyw.exe from my 1.8.4 install/bin. Works for me.

  • Zak

#3

One thing I noticed is that there is nothing shown under
Windows->Preferences->Rails->Rails Installs. I could not find any kind
of documentaion regarding what this value should be if anything.
joe

I installed the same one-click installer about five minutes ago. A
re-install of rails was necessary before things started working again. I
just tried the server in Radrails and it worked. Good luck.


#4

Zak M. wrote:

Joe P. wrote:

I’ve been using the radrails eclipse plugin with ruby 1.0 & Rails 1.8.2
up until this morning… I just installed Ruby 1.8.4 (one-click
installer rc1) and Rails 1.1. Now the rails eclipse plugin does not
seem to be aware of how to run ruby and has lost the ability to start
the webrick server. I’m sure it’s a simple configuration issue but the
radrails documentation is non-existent.

You may have done this already but just in case, make sure RadRails is
using the right (1.8.4) Ruby interpeter.

Windows->Preferences->Ruby/Installed Interpeter

I use rubyw.exe from my 1.8.4 install/bin. Works for me.

  • Zak

Thanks Zak.
I had indeed already done that. The problem that I’m having right now
is that the start webrick server process just hangs up in the “starting”
status indefinitely.

One thing I noticed is that there is nothing shown under
Windows->Preferences->Rails->Rails Installs. I could not find any kind
of documentaion regarding what this value should be if anything.
joe


#5

Jeff Reese wrote:

One thing I noticed is that there is nothing shown under
Windows->Preferences->Rails->Rails Installs. I could not find any kind
of documentaion regarding what this value should be if anything.
joe

I installed the same one-click installer about five minutes ago. A
re-install of rails was necessary before things started working again. I
just tried the server in Radrails and it worked. Good luck.

Just tried re-installing rails… no joy. The radrails server just
hangs in the starting state and never starts. I thought about
un-installing and re-installing the radrails plugin, but it does not
even show up in the eclipse software configuration list. :frowning:
joe


#6

Discovered that webrick was not starting under command line either.

Problem was due to some new sensitivity to database.yml file content. I
went through and replaced all whitespace with spaces. I also added a
space between : and localhost. Previously I had host:localhost.

All seems to be working ok now, but what a PITA this morning has been…
all’s well that ends well :wink:
joe


#7

Try to run webrick with that project from the command line. If there’s
an
error in starting webrick it will hang at “Starting Webrick Server…”

Maybe you’ve already tried that, but if you haven’t it will probably
shed
some more light on the problem.